const btnType = [
  { name: '开关型', value: '1' },
  { name: '加减型', value: '0' }
]

const formConfig = function(){
  return [
    {
      itemType: "input",
      prop: "name",
      label:'模版名称',
      attrs: {
          placeholder: "请输入模版名称"
      }
    },
    {
      itemType: "select",
      prop: "status",
      label:'状态',
      attrs: {
          list: this.useStatus    
      }
    },
    {
      itemType: "select",
      prop: "baseId",
      label:'基础库',
      attrs: {
        list: this.allBase
      }
    },
    {
      itemType: "fileUpload",
      prop: "backgroundPictureUrl",
      label:'背景图',
      btnText: '上传背景图',
      span: '3',
      attrs: {
        placeholder: '上传背景图',
        isImage: false
      }
    }
  ]
}

const btnFormConfig = function() {
  return [
    {
      itemType: "select",
      prop: "typeNum",
      label:'按钮类型',
      attrs: {
          list: btnType    
      }
    },
    {
      itemType: "input",
      prop: "addSubMax",
      label:'最大值',
      attrs: {
          placeholder: "加减型需输入最大值"
      }
    },
    {
      itemType: "input",
      prop: "addSubMin",
      label:'最小值',
      attrs: {
          placeholder: "加减型需输入最小值"
      }
    },
    {
      itemType: "input",
      prop: "defValue",
      label:'默认值',
      attrs: {
          placeholder: "请输入默认值"
      }
    },
    {
      itemType: "input",
      prop: "bandValue",
      label:'波段值',
      attrs: {
          placeholder: "请输入波段值，默认38000"
      }
    },
    {
      itemType: "input",
      prop: "bootCode",
      label:'引导码',
      attrs: {
          placeholder: "请输入引导码"
      }
    },
    {
      itemType: "input",
      prop: "bootCodeSend",
      label:'引导码发送次数',
      attrs: {
          placeholder: "请输入引导码发送次数"
      }
    },
    {
      itemType: "input",
      prop: "dateCode",
      label:'数据码',
      attrs: {
          placeholder: "请输入数据码",
          span: 2,
          type: 'textarea'
      }
    },
    {
      itemType: "input",
      prop: "overCode",
      label:'结束码',
      attrs: {
          placeholder: "请输入结束码"
      }
    }
  ]
}

export {
  formConfig,
  btnFormConfig
}